Bug 664205 - (ghc-dlist) Review Request: ghc-dlist - Haskell package that provides difference lists
Review Request: ghc-dlist - Haskell package that provides difference lists
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 693325
  Show dependency treegraph
 
Reported: 2010-12-19 02:52 EST by Narasimhan
Modified: 2014-03-03 15:02 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-dlist-0.5-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-28 20:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-dlist.spec-1.patch (1.07 KB, patch)
2011-05-15 09:20 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-12-19 02:52:21 EST
SRPM link : https://sites.google.com/site/lakshminaras2002/home/ghc-dlist-0.5-1.fc14.src.rpm?attredirects=0&d=1

SPEC file link : https://sites.google.com/site/lakshminaras2002/home/ghc-dlist.spec?attredirects=0&d=1

rpmlint output:

rpmlint  -i *.rpm ../ghc-dlist.spec
ghc-dlist-prof.x86_64: E: devel-dependency ghc-dlist-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-dlist-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-dlist-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/dlist-0.5/libHSdlist-0.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings
Comment 1 Jens Petersen 2011-01-28 06:07:14 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Narasimhan 2011-04-03 01:55:12 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-dlist-0.5-2.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-dlist.spec

rpmlint -i ghc-dlist.spec ~/rpmbuild/SRPMS/ghc-dlist-0.5-2.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-dlist-*.rpm
ghc-dlist-prof.i686: E: devel-dependency ghc-dlist-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-dlist-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-dlist-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/dlist-0.5/libHSdlist-0.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 3 Jens Petersen 2011-05-15 09:18:20 EDT
Looks just fine to me.  Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

ghc-dlist-prof.x86_64: E: devel-dependency ghc-dlist-devel
ghc-dlist-prof.x86_64: W: no-documentation
ghc-dlist-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/dlist-0.5/libHSdlist-0.5_p.a
4 packages and 0 specfiles checked; 1 errors, 2 warnings.

These can be waived and will be fixed by coming ghc-rpm-macros-0.13
which merges -prof to -devel.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

54f6c18ff689b7ef54e3229dc4a94107  dlist-0.5.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=3072682

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 4 Jens Petersen 2011-05-15 09:20:56 EDT
Created attachment 499008 [details]
ghc-dlist.spec-1.patch

I suggest making these minor changes to improve the package
and bring it closer to later cabal2spec.
Comment 5 Narasimhan 2011-05-15 15:58:42 EDT
Thanks for the review.

>I suggest making these minor changes to improve the package 
>and bring it closer to later cabal2spec.
Yes,  I will do it.
Comment 6 Narasimhan 2011-05-15 15:59:16 EDT
New Package SCM Request
=======================
Package Name: ghc-dlist
Short Description:  Haskell package that provides difference lists
Owners: narasim
Branches: f13 f14 f15
InitialCC: haskell-sig
Comment 7 Jason Tibbitts 2011-05-18 17:42:01 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-05-21 05:18:05 EDT
ghc-dlist-0.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-dlist-0.5-3.fc14
Comment 9 Fedora Update System 2011-05-21 05:18:13 EDT
ghc-dlist-0.5-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-dlist-0.5-3.fc13
Comment 10 Fedora Update System 2011-05-21 05:18:21 EDT
ghc-dlist-0.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-dlist-0.5-3.fc15
Comment 11 Fedora Update System 2011-05-24 22:36:44 EDT
ghc-dlist-0.5-3.fc14 has been pushed to the Fedora 14 testing repository.
Comment 12 Fedora Update System 2011-05-28 20:00:42 EDT
ghc-dlist-0.5-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2011-06-02 06:55:48 EDT
ghc-dlist-0.5-3.fc13 has been pushed to the Fedora 13 stable repository.
Comment 14 Fedora Update System 2011-06-02 14:57:55 EDT
ghc-dlist-0.5-3.fc14 has been pushed to the Fedora 14 stable repository.
Comment 15 Fedora Update System 2011-06-02 15:05:13 EDT
ghc-dlist-0.5-3.fc13 has been pushed to the Fedora 13 stable repository.
Comment 16 Jens Petersen 2012-06-22 05:39:21 EDT
Also need dlist for pandoc/el6.


Package Change Request
======================
Package Name: ghc-dlist
New Branches: el6
Owners: narasim petersen
InitialCC: haskell-sig
Comment 17 Jens Petersen 2012-06-22 06:50:43 EDT
(actually it is needed now for snap-core and wai-extra)
Comment 18 Gwyn Ciesla 2012-06-22 08:19:36 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2014-02-11 22:58:39 EST
ghc-dlist-0.5-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-dlist-0.5-6.el6
Comment 20 Fedora Update System 2014-03-03 15:02:29 EST
ghc-dlist-0.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.